package com.fuzamei.entity;

import java.util.List;

import javax.validation.GroupSequence;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.NotBlank;

import com.fuzamei.entity.User.PASSWORD;
import com.fuzamei.entity.User.USERID;

//用户表
public class User {
	private Integer id;             //主键id
	@NotNull(message = "用户编号不能为空字符串或者null",groups = {USERID.class})
	private Integer userId;	        //用户id
	
	@NotBlank(message = "用户名不能为空字符串或者null",groups = {USERNAME.class})
	private String  username;       //账号
	
	@Size(min = 6,max = 8,message = "密码必须为6到8位",groups = {PASSWORD.class})
	private String  password;       //密码
	
	@NotNull(message = "用户角色名称不能为空字符串或者null",groups = {ROLEID.class})
	private Integer roleId;        //角色id
	@NotBlank(message = "名称不能为空字符串或者null",groups = {PERSONNAME.class})
	private String  personName;    //人名or公司名字
	
	@NotBlank(message = "随机数不能为空字符串或者null",groups = {RANDOM.class})
	private Integer random;         //随机数
	
	@NotNull(message = "用户添加时间不能为空字符串或者null",groups = {CREATETIME.class})
	private Long createTime;      //添加时间
	
	@NotNull(message = "用户更新时间不能为空字符串或者null",groups = {UPDATETIME.class})
	private Long updateTime;      //更新时间
	private String roleName;
	
	public String getRoleName() {
		return roleName;
	}
	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public Integer getRoleId() {
		return roleId;
	}
	public void setRoleId(Integer roleId) {
		this.roleId = roleId;
	}
	public String getPersonName() {
		return personName;
	}
	public void setPersonName(String personName) {
		this.personName = personName;
	}
	public Integer getRandom() {
		return random;
	}
	public void setRandom(Integer random) {
		this.random = random;
	}
	public Long getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}
	public Long getUpdateTime() {
		return updateTime;
	}
	public void setUpdateTime(Long updateTime) {
		this.updateTime = updateTime;
	}
	
	//顺序控制
	public interface USERID{};
	public interface PASSWORD{};
	public interface RANDOM{};
	public interface USERNAME{};
	public interface ROLEID{};
	public interface PERSONNAME{};
	public interface CREATETIME{};
	public interface UPDATETIME{};
	//该组用于添加用户
	@GroupSequence({USERID.class, USERNAME.class,PASSWORD.class,ROLEID.class,RANDOM.class,PERSONNAME.class,CREATETIME.class,UPDATETIME.class}) 
	public interface GroupB{};

	//该组用于用户登录
	@GroupSequence({USERID.class,USERNAME.class, PASSWORD.class}) 
	public interface GroupA{}
	
	
}
